| Home | Libraries | People | FAQ | More

## Function template read_info

boost::property_tree::info_parser::read_info

## Synopsis

    // In header: <boost/property_tree/info_parser.hpp>

    template<typename Ptree, typename Ch>
      void read_info(std::basic_istream< Ch > & stream, Ptree & pt);

## Description

Read INFO from a the given stream and translate it to a property tree.

Throws: | info_parser_error
Notes: | Replaces the existing contents. Strong exception guarantee.